<ion-header class="ion-no-border">
  <ion-toolbar color="primary" style="--border-width:0">
    <ion-buttons slot="start">
      <ion-back-button defaultHref='/home'></ion-back-button>
    </ion-buttons>
    <ion-title></ion-title>
  </ion-toolbar>
</ion-header>

<ion-content color="primary">
  <form     novalidate
            [formGroup]="loginForm"
            (ngSubmit)="onSubmit()"
            class="ion-padding-horizontal">
    <ion-grid>
      <ion-row >
        <ion-col>
          <div>
              <ion-img src="assets/InnovationLabDolomiti-logo-bianco.png" style="max-width: 50%;
    margin: 10px auto;"></ion-img>
          </div>
        </ion-col>
      </ion-row>
      <ion-row class="ion-margin-top ion-padding-top">
        <ion-col  size='12'>
          <ion-item class="" lines="full">
            <ion-input
              inputmode="text"
              type="text"
              formControlName="username"
              required
              placeholder="Username o Email"
            ></ion-input>
          </ion-item>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.username.errors?.required"
          >
            <small class="error">Campo obbligatorio</small>
          </ion-col>

        </ion-col>
        <ion-col  size='12'>
          <ion-item class="" lines="full">
            <ion-input
              inputmode="password"
              [type]="type"
              formControlName="password"
              required
              placeholder="Password"
            ></ion-input>
            <ion-icon *ngIf="type === 'password'" name="eye" slot="end" color="primary" (click)="changeType()"></ion-icon>
            <ion-icon *ngIf="type === 'text'" slot="end" name="eye-off" color="primary" (click)="changeType()"></ion-icon>
          </ion-item>
            <p (click)="passwordReset()" class="ion-text-right">Hai dimenticato la tua password?
            </p>
          <ion-col
            class="ion-margin-horizontal"
            size="12"
            *ngIf="isSubmitted && errorControl.password.errors?.required"
          >
            <small class="error">Campo obbligatorio</small>
          </ion-col>
        </ion-col>
      </ion-row>
      <ion-row class="ion-text-center ion-margin-vertical">
        <ion-col size="12">
          <ion-button
            expand="block"
            fill="outline"
            class="rounded"
            type="submit"
            color="light"
            size="large"
          >
            <b>Accedi</b>
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </form>
  <ion-row class="ion-text-center ion-margin-vertical">
    <ion-col size="12" (click)="openPage()">
      <p>
        Non sei ancora iscritto?<br>
        Bastano 5 secondi per registrarsi!<br>
        <b>Iscriviti</b>
      </p>
    </ion-col>
  </ion-row>
</ion-content>

